Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.validation
Class PerformanceCounters

    java.lang.Object
      org.eclipse.wst.validation.PerformanceCounters

    public class PerformanceCounters

extends java.lang.Object

Some performance information for a validation invocation. This object is immutable.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`PerformanceCounters(java.lang.String validatorId, java.lang.String validatorName, java.lang.String resourceName, int numberInvocations, long elapsedTime, long cpuTime)`

Method Summary
`long` | `getCpuTime()` Answer the amount of CPU time in nanoseconds.
`long` | `getElapsedTime()` Answer the elapsed time in milliseconds.
`int` | `getNumberInvocations()`
`java.lang.String` | `getResourceName()`
`java.lang.String` | `getValidatorId()`
`java.lang.String` | `getValidatorName()`
`long` | `getWhen()` Answer when was the event logged.
`java.lang.String` | `toString()`
`java.lang.String` | `toString(boolean asSummary)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PerformanceCounters

    public PerformanceCounters(java.lang.String validatorId,
                               java.lang.String validatorName,
                               java.lang.String resourceName,
                               int numberInvocations,
                               long elapsedTime,
                               long cpuTime)

Parameters:
  `validatorId` -
  `validatorName` -
  `resourceName` -
  `numberInvocations` - number of times the validator was invoked
  `elapsedTime` - elapsed time in milliseconds
  `cpuTime` - CPU time in nanoseconds

Method Detail

### getValidatorId

    public java.lang.String getValidatorId()

### getNumberInvocations

    public int getNumberInvocations()

### getElapsedTime

    public long getElapsedTime()

  Answer the elapsed time in milliseconds.

### getCpuTime

    public long getCpuTime()

  Answer the amount of CPU time in nanoseconds. If this can not be determined, answer -1.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(boolean asSummary)

### getValidatorName

    public java.lang.String getValidatorName()

### getWhen

    public long getWhen()

  Answer when was the event logged.

  See Also:
    `System.currentTimeMillis()`

### getResourceName

    public java.lang.String getResourceName()

Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD